using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Defaultability.Domain;

namespace Topsdk.Top.Defaultability.Response;

public class TaobaoTbkOptimusTouMaterialIdsGetResponse : AbstractTopApiResponse
{

    /*
        返回结果
            */
    private IList<TaobaoTbkOptimusTouMaterialIdsGetTouMaterials>? data;


    /*
        物料id总数
            */
    private long? totalCount;


    /*
        结果描述信息
            */
    private string? resultMsg;


    [JsonPropertyName("data")]
    public IList<TaobaoTbkOptimusTouMaterialIdsGetTouMaterials>? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("total_count")]
    public long? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

}

